Bug 3663 - UltraSparc networking dies
Summary: UltraSparc networking dies
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: sparc Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-23 09:52 UTC by mark
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-13 23:20:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mark 1999-06-23 09:52:44 UTC
After a period of inactivity (more often that not it is
overnight),  the networking on UltraSparc machines
(Both SMP and Uniprocessor).

I am currently running kernel version 2.2.10 -
the redhat update to 2.2.5 didn't fix the problem, either.

It appears to be picky - we have a SMP machine that the
networking doesn't die on.

They all use the HME ethernet driver, and have all been
configured the same (Except for IP Addresses and simple
configuration details)

Comment 1 David Miller 1999-08-02 08:12:59 UTC
Can you give me more details about the machines
where the problem does occur?  What is very useful
is:
1) PCI or SBUS
2) Disk controllers used
3) Amount of RAM, number of processors for the SMP cases

Comment 2 mark 1999-08-02 09:03:59 UTC
The machines are SBUS-based, 256Mb ram each.

Single CPU machine is an UltraSparc II.
The SMP machines are Dual UltraSparc I's.

The disk controllers are standard SUN SCSI ones - they came
with the machines. (Sun Enterprise 2's)

I can't tell where the problem occurs - all I know is
that the ICMP layer is still working (ala ping, etc),  but TCP
connections never seem to establish their connections.

This was tested using telnet.

UDP connections are harder to test, and have not been tried.

An interesting fact is that the machines that had this problem
do not have video cards. This might be a big coincidence, however.

Comment 3 David Miller 1999-08-03 07:33:59 UTC
This smells like a TCP bug which has been fixed recently for
2.2.x, would you be willing to try out a test kernel?  If so
please contact me directly so we can arrange to test things out.

BTW, a good way to verify UDP connectivity is to try a hostname
DNS lookup via nslookup or host commands.

Comment 4 mark 1999-08-03 08:55:59 UTC
Ah. An nslookup.
I didn't think of that, and can't try it now, either.
We also can't try a test kernel, since I was forced by management
to install Solaris on them. :/

Comment 5 David Miller 1999-08-13 23:20:59 UTC
Since the is no means to make further progress on
this bug (the reproducer no longer has the systems
available and installed to test a fix or do further
debugging) I am marking this as a no-fix until another
similar report comes in.


Note You need to log in before you can comment on or make changes to this bug.